%define upstream_name Perl6-Export-Attrs
%define upstream_version 0.000005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
License:    GPL or Artistic
Group:      Development/Perl
Summary:    The Perl 6 'is export(...)' trait as a Perl 5 attribute
Source0:     http://www.cpan.org/modules/by-module/Perl6/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildRequires: perl-devel
BuildArch:  noarch

%{?perl_default_filter}

%description
Implements a Perl 5 native version of what the Perl 6 symbol export
mechanism will look like.

It's very straightforward:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.0.5-2.mga6
+ Revision: 1031951
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.0.5-1.mga6
+ Revision: 1002286
- update to 0.000005

* Sat Feb 20 2016 umeabot <umeabot> 0.0.4-2.mga6
+ Revision: 971338
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.0.4-1.mga6
+ Revision: 891515
- update to 0.000004

* Wed Jul 15 2015 sander85 <sander85> 0.0.3-8.mga6
+ Revision: 854481
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.0.3-7.mga5
+ Revision: 740698
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.0.3-6.mga5
+ Revision: 733222
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.0.3-5.mga5
+ Revision: 685946
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.3-4.mga4
+ Revision: 514097
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.3-3.mga3
+ Revision: 371740
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.0.3-2.mga1
+ Revision: 23362
- cleaning spec file
- imported package perl-Perl6-Export-Attrs

